be.fgov.ehealth.genericinsurability.core.v1

## Class OriginType

- java.lang.Object
- - be.fgov.ehealth.genericinsurability.core.v1.OriginType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:55:06+01:00",
                 comments="JAXB RI v2.3.7")
      public class OriginType
      extends Object
      implements Serializable

  Information about the originator of the request.

  Java class for OriginType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="OriginType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Package" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}PackageType"/>
               <element name="SiteID" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}ValueRefString" minOccurs="0"/>
               <element name="CareProvider" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}CareProviderType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OriginType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CareProviderType` | `getCareProvider()` Gets the value of the careProvider property.
    `PackageType` | `getPackage()` Gets the value of the package property.
    `ValueRefString` | `getSiteID()` Gets the value of the siteID property.
    `void` | `setCareProvider(CareProviderType value)` Sets the value of the careProvider property.
    `void` | `setPackage(PackageType value)` Sets the value of the package property.
    `void` | `setSiteID(ValueRefString value)` Sets the value of the siteID property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OriginType

          public OriginType()

  - ### Method Detail

    - #### getPackage

          public PackageType getPackage()

      Gets the value of the package property.
      Returns:
        possible object is `PackageType`

    - #### setPackage

          public void setPackage(PackageType value)

      Sets the value of the package property.
      Parameters:
        `value` - allowed object is `PackageType`

    - #### getSiteID

          public ValueRefString getSiteID()

      Gets the value of the siteID property.
      Returns:
        possible object is `ValueRefString`

    - #### setSiteID

          public void setSiteID(ValueRefString value)

      Sets the value of the siteID property.
      Parameters:
        `value` - allowed object is `ValueRefString`

    - #### getCareProvider

          public CareProviderType getCareProvider()

      Gets the value of the careProvider property.
      Returns:
        possible object is `CareProviderType`

    - #### setCareProvider

          public void setCareProvider(CareProviderType value)

      Sets the value of the careProvider property.
      Parameters:
        `value` - allowed object is `CareProviderType`

Connector Packaging PERSPRACTICALNURSE 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.